@import 'src/variables';

.profile_container {
  padding-top: 20px;
  color: $thirdGreyColor;
  .home-icon {
    position: absolute;
    top: 20px;
    right: 0;
    font-size: 2rem;
    color: $thirdGreyColor;
    cursor: pointer;
    &:hover {
      color: darken($primaryRedColor, 12%);
    }
  }
  .profile {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    gap: 20px;
    .profile-img {
      width: 120px;
      height: 120px;
      border-radius: 50%;
      object-fit: cover;
    }
    .profile-info {
      .profile_user-name {
        margin-top: 0;
      }
      .profile_user-email {
        font-size: 1.6rem;
        color: $secondaryGreyColor;
      }
      .profile_user-created {
        display: flex;
        align-items: center;
        gap: 4px;
        strong {
          font-size: 1.2rem;
          margin-right: 8px;
          color: $thirdGreyColor;
        }
      }
    }
  }
  .following-shows_container {
    margin-top: 80px;
    .title_container {
      display: flex;
      align-items: center;
      gap: 12px;
      .expand-icon {
        font-size: 2.4rem;
        cursor: pointer;
        &:hover {
          color: darken($primaryRedColor, 12%);
        }
      }
      h1 {
        display: inline-block;
      }
    }
    .following-shows {
      display: flex;
      flex-direction: row;
      flex-wrap: wrap;
      gap: 20px;
    }
  }
}

/*
.basket-up {
  display: flex;
  flex-direction: column;
  position: fixed;
  right: 0;
  top: 0;
  height: 100%;
  width: 100%;
  max-width: 735px;
  background-color: #fff;
  padding: 0 30px;
  z-index: 46;
  transform: translateX(100%);
  transition: 0.3s linear;
}
*/
